> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Admin of Room > Retrieves the admin of a room. Permission required: `view-room-administration` ### Changelog | Version | Description | | ------- | --------------- | | 8.7.0 | Restored `customFields` in the response | | 2.4.0 | Added | ## OpenAPI ````json GET /api/v1/rooms.adminRooms.getRoom { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.adminRooms.getRoom": { "get": { "tags": [ "Rooms" ], "summary": "Get Admin of Room", "description": "Retrieves the admin of a room.\n\nPermission required: `view-room-administration`\n\n### Changelog\n| Version | Description |\n| ------- | --------------- |\n| 8.7.0 | Restored `customFields` in the response |\n| 2.4.0 | Added |", "operationId": "get-api-v1-rooms.adminRooms.getRoom", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "rid", "in": "query", "description": "The room ID.", "schema": { "type": "string" }, "example": "654c9d1ca2f73c7460e1918b", "required": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "fname": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ro": { "type": "boolean" }, "default": { "type": "boolean" }, "customFields": { "type": "object", "description": "The custom fields set on the room." }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "_id": "ukFsHiySDhMkQyyyF", "name": "freightwave", "fname": "freightwave", "t": "p", "msgs": 4, "usersCount": 1, "u": { "_id": "Gd6iymRZBK4C6wqHN", "username": "bruno.raymundo" }, "ro": false, "default": false, "customFields": { "department": "engineering", "priority": "high" }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action", "errorType": "error-forbidden" } } } } } } } } } ````